<?php
require_once('../classes/body.class.php');
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
$title= new Body;
$title->SetTitle('Панель управления - Управление смайлами');

///Подключаем шапку
$title->GetHeader();

if ($b['level'] < 4) {
header('location:/');
die();
}
echo '<div class="container-fluid page_header"><div class="container"><div class="row"><div class="col-xs-12 col-sm-8 col-md-9 col-lg-9"><h1>Панель управления </h1><ol class="breadcrumb" xmlns:v="http://'.homeurl.'/#"><li typeof="v:Breadcrumb"><a href="/" rel="v:url" property="v:title">'.homeurl.'</a></li><li typeof="v:Breadcrumb"><a href="/panel" rel="v:url" property="v:title">Дата-центр</a></li><li class="active" typeof="v:Breadcrumb"><span property="v:title">Управление смайлами</span></li></ol></div></div></div></div>';
echo'<div class="container page_body"><div class="row"><div class="col-xs-12 page_content col-lg-9"><div class="navbar page_content_navbar collapse hidden-lg"><div class="container-fluid"><div class="navbar-collapse"></div></div></div><div class="text_box hidden-lg pr_block_small hidden"></div><div class="container-fluid cols_table">';
echo '<div class="catSides"><a href="/panel"><i class="md-format-list-bulleted"></i> Админка</a> - Управление смайлами</div>';
if (isset($_POST['add'])) {
$fname = $_FILES['file']['name'];
$name = check($_POST['name']);
$ext_file = ['.gif', '.png','.jpg','.jpeg'];
$ext = strtolower(strrchr($_FILES['file']['name'], '.'));
if (empty($name)) {
err('Ошибка ! Не введено название!');
} elseif (preg_match('/(\.php|\.pl|\.htaccess)/i', $fname) || !in_array($ext, $ext_file)) {
err('Запрещенный формат файла!');
} elseif ($_FILES['file']['size']> 1024 * 2 * 1024) {
err('Ошибка! Максимальный размер 2 mb.');
} else {
$file = ''.homeurl.'_smiles_'.rand(10000,99999).$ext;
copy($_FILES['file']['tmp_name'], $_SERVER['DOCUMENT_ROOT'].'/public/smiles/'.$file);
DB::$dbs->query("INSERT INTO `smiles` SET `name` = ?, `file` = ?", [$name,$file]);
echo '<div class="row text_box"><i class="md-shuffle"></i>Новый смайл добавлен!</div>';
}
}
echo '<form method="POST" action="?" enctype="multipart/form-data"><div class="row text_box">Название: <br/><input type="name" class="form-control" name="name"><br/>
Смайл:<br/><input type="file" name="file"/><br/>
<input type="submit" name="add"class="btn btn-primary" value="Добавить"></div></form>';

///Подключаем меню
$title->GetMenu();


///Подключаем футер
$title->GetFooter();
?>